#
# spec file for package SoQt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%define SONAME 20
Name:           SoQt
Version:        1.5.99+hg20111204.2153
Release:        1.29
Summary:        A library which provides the glue between Coin and Qt
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://bitbucket.org/Coin3D/soqt
# hg archive -S -t tar --prefix SoQt/ - | xz -e -9 >../packman/Extra/SoQt/SoQt.tar.xz
Source0:        SoQt.tar.xz
Source90:       SoQt-rpmlintrc
BuildRequires:  c++_compiler
BuildRequires:  Coin-devel
BuildRequires:  doxygen
BuildRequires:  libqt4-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The core rendering library Coin is a multiplatform high-level 3D graphics
library with a C++ API. Coin uses OpenGL for accelerated rendering, while
providing a higher abstraction level, 3D interactivity, and many complex
optimization features for fast rendering that are transparent for the
application programmer, thus facilitating the development of interactive 3D
applications and greatly increasing productivity.

%package devel
Summary:        Development files for SoQt
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       Coin-devel
Requires:       Mesa-devel
Requires:       glib2-devel
Requires:       libSoQt%{SONAME}
Requires:       libpng-devel
Requires:       libqt4-devel

%description devel
By using the combination of Coin, Qt and SoQt for your 3D applications, you
have a framework for writing completely portable software across the whole range
of UNIX, Linux, Microsoft Windows and Mac OS X operating systems. Coin, Qt and
SoQt makes this possible from a 100% common codebase, which means there is a
minimum of hassle for developers when working on multiplatform software, with
the resulting large gains in productivity.

%package doc
Summary:        SoQt is a library which provides the glue between Coin and Qt
Group:          Documentation/HTML
Requires:       %{name} = %{version}

%description doc
By using the combination of Coin, Qt and SoQt for your 3D applications, you
have a framework for writing completely portable software across the whole range
of UNIX, Linux, Microsoft Windows and Mac OS X operating systems. Coin, Qt and
SoQt makes this possible from a 100% common codebase, which means there is a
minimum of hassle for developers when working on multiplatform software, with
the resulting large gains in productivity.

%package -n libSoQt%{SONAME}
Summary:        SoQt is a library which provides the glue between Coin and Qt
Group:          System/Libraries
Provides:       SoQt = %{version}
Obsoletes:      SoQt < %{version}

%description -n libSoQt%{SONAME}
By using the combination of Coin, Qt and SoQt for your 3D applications, you
have a framework for writing completely portable software across the whole range
of UNIX, Linux, Microsoft Windows and Mac OS X operating systems. Coin, Qt and
SoQt makes this possible from a 100% common codebase, which means there is a
minimum of hassle for developers when working on multiplatform software, with
the resulting large gains in productivity.

%prep
%setup -q -n SoQt


%build
export SUSE_ASNEEDED=0

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%if 0%{?suse_version} <= 1110
export QTDIR="%{_libdir}"
%endif
%if 0%{?suse_version} == 1110
export QT_VERSION=443
%endif
%if 0%{?suse_version} == 1120
export QT_VERSION=453
export QTDIR="%{_libdir}/qt4/lib"
%endif
%if 0%{?suse_version} == 1130
export QT_VERSION=463
export QTDIR="%{_libdir}/qt4/lib"
%endif
export htmldir=%{_defaultdocdir}/SoQt/html \
export htmlhelpdir=%{_defaultdocdir}/SoQt/htmlhelp

%configure \
        --disable-msvc \
        --enable-html \
        --enable-man \
        --enable-exceptions \
        --with-x

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

find %{buildroot} -type f -name "*.la" -delete -print

%post -n libSoQt%{SONAME} -p /sbin/ldconfig

%postun -n libSoQt%{SONAME} -p /sbin/ldconfig


%files -n libSoQt%{SONAME}
%defattr(-,root,root,0755)
%dir %{_datadir}/Coin
%{_datadir}/Coin/conf/soqt-default.cfg
%{_libdir}/libSoQt.so.*

%files doc
%defattr(-,root,root,0755)
%dir %{_datadir}/doc/soqt
%{_datadir}/doc/soqt/*

%files devel
%defattr(-,root,root,0755)
%{_bindir}/soqt-config
%{_includedir}/Inventor/Qt
%{_libdir}/libSoQt.so
%{_libdir}/pkgconfig/SoQt.pc
%{_datadir}/aclocal/soqt.m4
%{_mandir}/man1/soqt-config.1.gz
%{_mandir}/man3/*.gz

%changelog
* Fri Sep  4 2015 johannesobermayr@gmx.de
- update to current snapshot
* Fri Dec 10 2010 Andrea Florio <andrea@links2linux.de>
- new upstream version 1.5.0
* Sat Jan  9 2010 Toni Graffy <toni@links2linux.de>
- fix 11.2 build
* Sun Sep 28 2008 Andrea Florio <andrea@links2linux.de>
- complete spec rewrite
* Sun Nov 18 2007 Michal Vyskocil <mvyskocil@suse.cz>
- First release for OpenSuse Build Service
